//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;

namespace InvocationFramework.Adapters.Inproc.Attributes
{
    /// <summary>
    /// Atributo que indica que una servicio (una clase) es un servicio muy utilizado
    /// </summary>
    /// <author>Rodolfo Finochietti 03/11/2005 14.18</author>
    [AttributeUsage( AttributeTargets.Class | AttributeTargets.Interface, Inherited = true, AllowMultiple = false )]
    public sealed class MostRequestedServiceAttribute : Attribute
    {
        #region Constructors
		 
        /// <summary>
        /// Consructor por defecto
        /// </summary>
        public MostRequestedServiceAttribute( ) { }
 
	    #endregion
    }
}