//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;
using System.Collections.Generic;
using System.Text;

namespace RemotingAdapterTests.Contracts
{
    public class SalesServiceWithoutContract : MarshalByRefObject
    {
        public SalesServiceWithoutContract()
        {
        }

        public SalesOrderHeader GetSalesOrderById(int id)
        {

            if (id == 126537)
            {
                SalesOrderHeader order = new SalesOrderHeader();

                order.Customer = new Customer();
                order.Customer.AccountNumber = "011-0888882/2";
                order.Customer.CustomerID = 2567;
                order.Customer.CustomerType = "PyME";
                order.Customer.StoreName = "Adventure Works";

                order.PurchaseOrderNumber = "AB3982938";
                order.Freight = 156.45M;
                order.SalesOrderID = 56343;

                order.SalesOrderDetails = new List<SalesOrderDetail>();

                SalesOrderDetail detail = new SalesOrderDetail();
                detail.LineTotal = 100M;
                detail.OrderQty = 5;
                detail.UnitPrice = 20M;
                detail.UnitPriceDiscount = 0;
                detail.ProductName = "Sample Product";
                detail.SalesOrderDetailID = 1234;
                order.SalesOrderDetails.Add(detail);


                detail = new SalesOrderDetail();
                detail.LineTotal = 1000M;
                detail.OrderQty = 4;
                detail.UnitPrice = 250M;
                detail.UnitPriceDiscount = 0;
                detail.ProductName = "Sample Product 2";
                detail.SalesOrderDetailID = 1235;

                return order;
            }
            else
                return null;

        }

    }
}
