//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;

namespace InvocationFramework.Adapters.Inproc.Transactions
{
    /// <summary>
    /// </summary>
    public enum IsolationLevel
    {
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.Serializable"/>
        /// </summary>
        Serializable = System.Transactions.IsolationLevel.Serializable,
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.RepeatableRead"/>
        /// </summary>
        RepeatableRead = System.Transactions.IsolationLevel.RepeatableRead,
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.ReadCommitted"/>
        /// </summary>
        ReadCommitted = System.Transactions.IsolationLevel.ReadCommitted,
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.ReadUncommitted"/>
        /// </summary>
        ReadUncommitted = System.Transactions.IsolationLevel.ReadUncommitted,
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.Snapshot"/>
        /// </summary>
        Snapshot = System.Transactions.IsolationLevel.Snapshot,
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.Chaos"/>
        /// </summary>
        Chaos = System.Transactions.IsolationLevel.Chaos,
        /// <summary>
        /// <seealso cref="System.Transactions.IsolationLevel.Unspecified"/>
        /// </summary>
        Unspecified = System.Transactions.IsolationLevel.Unspecified
    }
}