﻿//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;
using System.Diagnostics.CodeAnalysis;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security.Permissions;

[assembly: AssemblyTitle( "InvocationFramework.Common" )]
[assembly: AssemblyDescription( "Service Invocation Framework Common" )]

[assembly: ComVisible( false )]

[assembly: Guid( "6a303d92-214a-4838-863c-10a2e5fbd57f" )]

[assembly: CLSCompliant( true )]

[assembly: EnvironmentPermissionAttribute( SecurityAction.RequestMinimum, Read = "COMPUTERNAME;USERNAME;USERDOMAIN" )]

[assembly: InternalsVisibleTo( "InvocationFramework.Adapters.EnterpriseServices, PublicKey=" + InvocationFramework.Common.Constants.PublicKey )]
[assembly: InternalsVisibleTo( "InvocationFramework.Adapters.Inproc, PublicKey=" + InvocationFramework.Common.Constants.PublicKey )]
[assembly: InternalsVisibleTo( "InvocationFramework.Adapters.Pipeline, PublicKey=" + InvocationFramework.Common.Constants.PublicKey )]
[assembly: InternalsVisibleTo( "InvocationFramework.Adapters.Remoting, PublicKey=" + InvocationFramework.Common.Constants.PublicKey )]
[assembly: InternalsVisibleTo( "InvocationFramework.Adapters.WebServices, PublicKey=" + InvocationFramework.Common.Constants.PublicKey )]
[assembly: InternalsVisibleTo( "InvocationFramework.Core, PublicKey=" + InvocationFramework.Common.Constants.PublicKey )]

[assembly: SuppressMessage( "Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "InvocationFramework.Common" )]
[assembly: SuppressMessage( "Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "InvocationFramework.Common.Exceptions" )]
[assembly: SuppressMessage( "Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "InvocationFramework.Common.Instrumentation" )]
[assembly: SuppressMessage( "Microsoft.Design", "CA1020:AvoidNamespacesWithFewTypes", Scope = "namespace", Target = "InvocationFramework.Common.Interfaces" )]