//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

using PipelineAdapterTests.Common.Contracts;

[WebService( Namespace = "http://tempuri.org/" )]
[WebServiceBinding( ConformsTo = WsiProfiles.BasicProfile1_1 )]
public class TestService : System.Web.Services.WebService, ITestService
{
    public TestService( ) { }

    [WebMethod]
    public string InputPipeline( string data )
    {
        return data;
    }

    [WebMethod]
    public string OutputPipeline( )
    {
        return "OutputPipeline";
    }

    [WebMethod]
    public string StopFiltersChainInput( string data )
    {
        return data;
    }

    [WebMethod]
    public string StopFiltersChainOutput( )
    {
        return "StopFiltersChainOutput";
    }

    [WebMethod]
    public string CachedOperation( )
    {
        return "NotCachedResult";
    }
}