//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;
using System.Runtime.Serialization;

namespace RemotingAdapterTests.Contracts
{
    [Serializable]
    public class DiabolicException : Exception
    {
        #region Constructors

        public DiabolicException( ) : base( )
        {
        }

        public DiabolicException( string message ) : base( "A diabolic message was received by server. Invocation cancelled!!" )
        {
        }

        public DiabolicException( string message, Exception innerException ) : base( "A diabolic message was received by server. Invocation cancelled!!", innerException )
        {
        }

        protected DiabolicException( SerializationInfo info, StreamingContext context ) : base( info, context )
        {
        }

        #endregion
    }
}