//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;
using System.Xml.Serialization;

using Microsoft.SqlServer.Server;

namespace RemotingAdapterTests.Contracts
{
    [Serializable( )]
    [XmlRoot( Namespace = "RemotingAdapterTests.Objects" )]
    public class SalesOrderDetail
    {
        [XmlElement( )]
        public int SalesOrderID;

        [XmlElement( )]
        public int SalesOrderDetailID;

        [XmlElement( )]
        public Int16 OrderQty;

        [XmlElement( )]
        public string ProductName;

        [XmlElement( )]
        public decimal UnitPrice;

        [XmlElement( )]
        public decimal UnitPriceDiscount;

        [XmlElement( )]
        public decimal LineTotal;
    }
}