//Copyright (c) 2006-2007 Microsoft Corporation.  All rights reserved
using System;
using System.Data;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;

using WebServiceAdapterTests.Common.Contracts;

[WebService( Namespace = "http://tempuri.org/" )]
[WebServiceBinding( ConformsTo = WsiProfiles.BasicProfile1_1 )]
public class BasicService : System.Web.Services.WebService, IBasicService
{
    public BasicService( ) { }

    [WebMethod]
    public string GetSameString( string param )
    {
        return param;
    }

    [WebMethod]
    public int GetSameInt32( int param )
    {
        return param;
    }

    [WebMethod]
    public void VoidOperation( ) { }

    [WebMethod]
    public void ExceptionOperation( )
    {
        throw new ApplicationException( );
    }
}